--- atapi.c	Fri Dec 31 03:16:34 2004
+++ atapi.c	Fri Dec 31 03:10:36 2004
@@ -2224,6 +2224,17 @@
   DPRINT("SCSIOP_SYNCRONIZE_CACHE: TargetId: %lu\n",
 	 Srb->TargetId);
 
+  if (DeviceExtension->DeviceFlags[Srb->TargetId] & DEVICE_ATAPI)
+    {
+      /* NOTE: Don't flush the cache for ATAPI devices. Although
+       * the ATAPI-6 standard allows that, it has been experimentally
+       * proved that it can damage some broken LG drives. Afterall
+       * it doesn't make sense to flush cache on devices we don't 
+       * write to.
+       */
+      return STATUS_SUCCESS;
+    }
+
   /* Wait for BUSY to clear */
   for (Retries = 0; Retries < IDE_MAX_BUSY_RETRIES; Retries++)
     {
